Stock variants
Get variant recipe status
Checks the current validation or completion status of the recipe tied to a specific stock variant.
Checks the current validation or completion status of the recipe tied to a specific stock variant.
AuthorizationBearer <token>
In: header
Path Parameters
id*string
StockVariant identifier
Response Body
application/json
curl -X GET "https://api.skalasuite.com/api/stock_variants/string/recipe/status"{
"id": 0,
"stock": {
"id": 0,
"name": "string",
"category": {},
"unit": {
"id": 0,
"name": "string"
},
"isTrackByLot": true,
"supplier": {
"id": 0,
"name": "string"
},
"type": "string",
"tax": {
"id": 0,
"rate": "string",
"name": "string"
},
"currency": {
"id": 0,
"name": "string",
"code": "string",
"symbol": "string"
},
"isMaking": true,
"isBuying": true,
"trackType": "string",
"isArchive": true,
"buyingUnit": {
"id": 0,
"name": "string"
},
"unitConversion": 1
},
"averageCost": "string",
"valueInStock": "string",
"alertLevel": "string",
"code": "string",
"stockVariantOptionValues": [
{}
],
"name": "string",
"defaultPrice": "string",
"price": "string",
"materialCost": "string",
"operationCost": "string",
"totalCost": "string",
"salePrice": "string",
"profit": "string",
"margin": "string",
"internalBarcode": "string",
"leadTime": "string",
"registeredBarcode": "string",
"supplierBarcode": "string",
"serviceLevel": 0,
"customFields": [
"/entity/1"
],
"label": "string"
}Empty
